summaryrefslogtreecommitdiff
path: root/tests/t1700-probe-fs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/t1700-probe-fs.sh')
-rwxr-xr-xtests/t1700-probe-fs.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/t1700-probe-fs.sh b/tests/t1700-probe-fs.sh
index d33606e..f8af74e 100755
--- a/tests/t1700-probe-fs.sh
+++ b/tests/t1700-probe-fs.sh
@@ -42,7 +42,8 @@ for type in ext2 ext3 ext4 btrfs xfs nilfs2 ntfs vfat hfsplus udf f2fs; do
# create an $type file system, creation failures are not parted bugs,
# skip the filesystem instead of failing the test.
if [ "$type" = "xfs" ]; then
- mkfs.xfs -ssize=$ss -dfile,name=$dev,size=${n_sectors}s || { warn_ "$ME: mkfs.$type failed, skipping"; continue; }
+ # XFS requires at least 300M which is > 1024 sectors with 8192b sector size
+ mkfs.xfs -ssize=$ss -dfile,name=$dev,size=300m || { warn_ "$ME: mkfs.$type failed, skipping"; continue; }
else
dd if=/dev/null of=$dev bs=$ss seek=$n_sectors >/dev/null || { warn_ "$ME: dd failed, skipping $type"; continue; }
mkfs.$type $force $dev || { warn_ "$ME: mkfs.$type failed skipping"; continue; }